# __gnu_parallel::min_element_reduct< Comp, It > Struct Template Reference

List of all members.

## Detailed Description

### template<typename Comp, typename It>
struct __gnu_parallel::min_element_reduct< Comp, It >

Reduction for finding the maximum element, using a comparator.

Definition at line 314 of file for_each_selectors.h.

## Public Member Functions

- min_element_reduct (Comp &c)
- It operator() (It x, It y)

## Public Attributes

- Comp & comp

The documentation for this struct was generated from the following file:

- for_each_selectors.h